Name:              kio_resources
Version:           0.2
Release:           1%{?dist}
Summary:           Kio_resources provides the "resources" protocol for KDE

License:           LGPL
Group:             User Interface/Desktops
URL:               http://www.kde-look.org/content/show.php?content=26521

Source0:           http://www.kde-look.org/content/files/26521-kio_resources-0.2.tar.bz2

BuildRoot:         %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:     kdelibs-devel
Requires:          kdebase


%description
kio_resources provides the "resources" protocol for KDE.
It allows you to browse all installed files in the standard
search paths (generally .kde and /usr). The general format
of a resources URL is resources:/resource-type[/relative-path].
Thus, to view all wallpapers installed on your system, both in
your home directory and in the KDE installation path, you type
resources:/wallpaper. If you simply want to look through all
the available resource types, use resources:/.

A nice feature of kio_resources is that it always saves
resources to the local directory (under your home). That means
that, for instance, new wallpapers can be installed under your
home dir by simply copying them into resources:/wallpapers. This
makes it unnecessary to be acquainted with the standard paths
used by KDE, and it also allows you to edit a system file and
save it locally, so that the system version remain unchanged
but the edited version is visible to KDE apps.

%prep
%setup -q


%build
%configure \
   --enable-new-ldflags \
   --disable-debug      \
   --disable-warnings   \
   --disable-dependency-tracking \
   --enable-final
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING.LIB README TODO
%{_libdir}/kde3/kio_resources.so
%{_libdir}/kde3/kio_resources.la
%{_datadir}/services/resources.protocol


%Changelog
* Sat Nov 04 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.2-1
- Initial package.
